From 6f9c334d15c70a9f31a8c03b75777c9fee70860c Mon Sep 17 00:00:00 2001
From: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Date: Fri, 3 Jun 2016 01:12:07 +0200
Subject: [PATCH 15/20] Typo pathes -> paths.

---
 debian/patches/series           |   1 +
 debian/patches/typo-pathes.diff | 223 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 224 insertions(+)
 create mode 100644 debian/patches/typo-pathes.diff

diff --git a/debian/patches/series b/debian/patches/series
index a1bde99..b112742 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,3 +1,4 @@
 01-gnatmake.patch
 02-use-gnatgcc.patch
 fix-link-to-gpl.diff
+typo-pathes.diff
diff --git a/debian/patches/typo-pathes.diff b/debian/patches/typo-pathes.diff
new file mode 100644
index 0000000..3b97b43
--- /dev/null
+++ b/debian/patches/typo-pathes.diff
@@ -0,0 +1,223 @@
+Description: fix typo pathes->paths.
+Author: Nicolas Boulenguez <nicolas@debian.org>
+
+--- a/Makefile
++++ b/Makefile
+@@ -20,7 +20,7 @@
+ #                  directory in the PATH.
+ #------------------------------------------------------------------------------
+ 
+-# It is assumed that the pathes to your ASIS installation are in your
++# It is assumed that the paths to your ASIS installation are in your
+ # ADA_INCLUDE_PATH and ADA_OBJECTS_PATH!
+ 
+ # This makefile has become pretty complicated, mainly because of things
+@@ -169,7 +169,7 @@
+ 
+ ifdef ADABROWSE_GNATSRC
+ 
+-# Set the pathes so that we can compile files from the GNAT source
++# Set the paths so that we can compile files from the GNAT source
+ # distribution without problems. If we don't do that, we will not be
+ # able to link, because the GNAT compiler sources also contain
+ # the library sources. We must therefore make sure that the installed
+--- a/ad-exclusions.adb
++++ b/ad-exclusions.adb
+@@ -24,7 +24,7 @@
+ --
+ -- <DL><DT><STRONG>
+ -- Purpose:</STRONG><DD>
+---   Handling of "pathes": prefix URLs defined for cross-references.</DL>
++--   Handling of "paths": prefix URLs defined for cross-references.</DL>
+ --
+ -- <!--
+ -- Revision History
+--- a/ad-exclusions.ads
++++ b/ad-exclusions.ads
+@@ -24,7 +24,7 @@
+ --
+ -- <DL><DT><STRONG>
+ -- Purpose:</STRONG><DD>
+---   Handling of "pathes": prefix URLs defined for cross-references.</DL>
++--   Handling of "paths": prefix URLs defined for cross-references.</DL>
+ --
+ -- <!--
+ -- Revision History
+--- a/ad-file_ops.ads
++++ b/ad-file_ops.ads
+@@ -68,7 +68,7 @@
+       Options : in Ada.Strings.Unbounded.Unbounded_String)
+      return String;
+    --  Returns the full name of the file specified by @Name@. @Options@ should
+-   --  be a string of "-I" options giving pathes on which to look. Returns an
++   --  be a string of "-I" options giving paths on which to look. Returns an
+    --  empty string if the source cannot be found.
+ 
+    procedure Create_Unique_File
+--- a/ad-html-pathes.adb
++++ b/ad-html-pathes.adb
+@@ -24,7 +24,7 @@
+ --
+ -- <DL><DT><STRONG>
+ -- Purpose:</STRONG><DD>
+---   Handling of "pathes": prefix URLs defined for cross-references.</DL>
++--   Handling of "paths": prefix URLs defined for cross-references.</DL>
+ --
+ -- <!--
+ -- Revision History
+@@ -49,7 +49,7 @@
+ 
+    --  We do longest-prefix matches in 'Get_Path' below. Probably the most
+    --  efficient data structure for this would be a trie, but since I assume
+-   --  that there won't be too many different pathes with keys that them-
++   --  that there won't be too many different paths with keys that them-
+    --  selves are prefixes of one another, this would be overkill.
+ 
+    type Path;
+--- a/ad-html-pathes.ads
++++ b/ad-html-pathes.ads
+@@ -24,7 +24,7 @@
+ --
+ -- <DL><DT><STRONG>
+ -- Purpose:</STRONG><DD>
+---   Handling of "pathes": prefix URLs defined for cross-references.</DL>
++--   Handling of "paths": prefix URLs defined for cross-references.</DL>
+ --
+ -- <!--
+ -- Revision History
+--- a/ad-messages.adb
++++ b/ad-messages.adb
+@@ -233,10 +233,10 @@
+      "                  HTML Files. (May be useful in conjunction with the -a"
+      & LF &
+      "                  option.)" & LF &
+-     "   -I directory   Define source pathes. Same semantics as"
++     "   -I directory   Define source paths. Same semantics as"
+      & LF &
+      "                  for GNAT." & LF &
+-     "   -T directory   Define pathes for ASIS to search for tree"
++     "   -T directory   Define paths for ASIS to search for tree"
+      & LF &
+      "                  files (*.adt). Multiple -T options may be given."
+      & LF & LF &
+--- a/ad-projects-impl_yes.adb
++++ b/ad-projects-impl_yes.adb
+@@ -93,7 +93,7 @@
+ package body AD.Projects.Impl_Yes is
+ 
+    --  Using the project manager is a bit tricky. First, we do have a dummy
+-   --  sdefault file, specifying dummy (null) default search pathes (we don't
++   --  sdefault file, specifying dummy (null) default search paths (we don't
+    --  need them).
+    --
+    --  Second, the GNAT 3.16a source distribution contains an osint.adb
+@@ -588,7 +588,7 @@
+                exception
+                   when others =>
+                      --  Didn't work, so I guess we may presume the two
+-                     --  pathes really refer to different directories:
++                     --  paths really refer to different directories:
+                      begin
+                         Open (File, In_File, ASU.To_String (File_Name));
+                         Delete (File);
+--- a/ad-projects.ads
++++ b/ad-projects.ads
+@@ -44,7 +44,7 @@
+    procedure Handle_Project_File
+      (Name : in String);
+    --  Reads, parses, and processes a GNAT project file, then extracts the
+-   --  object pathes ("-T") that will later be passed on to ASIS.
++   --  object paths ("-T") that will later be passed on to ASIS.
+    --
+    --  "-T" options given on the command line to AdaBrowse <EM>always</EM
+    --  take precedence over the ones obtained from a project file.
+@@ -54,11 +54,11 @@
+    --  which may be either a single string or a string list, it uses that
+    --  variables value, interpretes the string(s) as the file names of
+    --  AdaBrowse configuration files and processes each of them in the order
+-   --  given. (If the file names contain pathes, these are, as usual, inter-
++   --  given. (If the file names contain paths, these are, as usual, inter-
+    --  preted relative to the directory where the configuration file resides.)
+    --
+    --  (Note: inside configuration files, path names are relative to the
+-   --  current directory, i.e. the one adabrowse was started in. To use pathes
++   --  current directory, i.e. the one adabrowse was started in. To use paths
+    --  relative to the configuration file location use the special environment
+    --  variable $@.)
+    --
+--- a/doc/adabrowse_ug.html
++++ b/doc/adabrowse_ug.html
+@@ -401,11 +401,11 @@
+        not be white space between the "<CODE>-X</CODE> and the variable definition.<BR><BR>
+ 
+    <DT><CODE>-I directory</CODE>
+-   <DD>Optional: Define source pathes for ASIS. Same semantics as
++   <DD>Optional: Define source paths for ASIS. Same semantics as
+        for GNAT. Multiple <CODE>-I</CODE> options may be given.<BR><BR>
+ 
+    <DT><CODE>-T directory</CODE>
+-   <DD>Optional: Define pathes for ASIS to search for tree files
++   <DD>Optional: Define paths for ASIS to search for tree files
+        (*.adt). Multiple <CODE>-T</CODE> options may be given.
+ </DL>
+ <P>
+@@ -1588,7 +1588,7 @@
+ </PRE></TD></TR></TABLE>
+ 
+       If AdaBrowse wants to generate a cross-reference to a unit <CODE>CORE.OS</CODE> now,
+-      it'll check the list of pathes given and in this case, it'll generate
++      it'll check the list of paths given and in this case, it'll generate
+       the cross-reference to "<CODE>../../core/doc/ref_manual/core-os.html</CODE>". Note
+       that the first path also matches, but "<CODE>Core</CODE>" is a longer match than
+       "<CODE>Cor</CODE>". However, for a cross-reference to <CODE>COROLD.EXTERNAL</CODE>, the first path
+@@ -3494,7 +3494,7 @@
+             <BR><BR>
+ 
+         <LI>AdaBrowse uses <CODE>GNAT.Os_Lib</CODE> in a few places.
+-            You'll need to replace that as appropriate in files <CODE>util-pathes.adb</CODE>
++            You'll need to replace that as appropriate in files <CODE>util-paths.adb</CODE>
+             and in <CODE>ad-file_ops.ad[bs]</CODE>.
+             <BR><BR>
+ 
+--- a/util-files.ads
++++ b/util-files.ads
+@@ -84,7 +84,7 @@
+       Buffer    : in Buffer_Size := Default_Buffer_Size);
+    --  Safe file copy operation, it is abort deferred, but not task-safe.
+    --
+-   --  Both @From@ and @To@ may contain pathes; if @From@ specifies a
++   --  Both @From@ and @To@ may contain paths; if @From@ specifies a
+    --  non-existing file, or @To@ contains the specification of a non-existing
+    --  directory, the exception @Ada:IO_Exceptions.Name_Error@ will be raised.
+    --  If @From@ specifies a directory, an unspecified exception may be raised,
+--- a/util-pathes.adb
++++ b/util-pathes.adb
+@@ -30,7 +30,7 @@
+ --    Operations for manipulating file names. The package is intended for
+ --    use on Windows or Unix systems. Upon elaboration, it tries to figure
+ --    out the host operating system by examining the @PATH@ environment
+---    variable: if that contains Windows-looking pathes (i.e., a '\' is found
++--    variable: if that contains Windows-looking paths (i.e., a '\' is found
+ --    before a any '/'), it assumes it's being used on Windows. If, on the
+ --    other hand, it finds a '/' first, it assumes Unix. If it finds neither,
+ --    it uses @GNAT.Os_Lib.Directory_Separator@ as its directory separator.
+@@ -364,7 +364,7 @@
+             return P (P'First .. I - 1) &
+                    Up (P (I .. P'Last), Separator);
+          else
+-            --  Only a node name: cannot get the parent, for relative pathes
++            --  Only a node name: cannot get the parent, for relative paths
+             --  are not allowed.
+             raise Path_Error;
+          end if;
+--- a/util-pathes.ads
++++ b/util-pathes.ads
+@@ -30,7 +30,7 @@
+ --    Operations for manipulating file names. The package is intended for
+ --    use on Windows or Unix systems. Upon elaboration, it tries to figure
+ --    out the host operating system by examining the @PATH@ environment
+---    variable: if that contains Windows-looking pathes (i.e., a '\' is found
++--    variable: if that contains Windows-looking paths (i.e., a '\' is found
+ --    before a any '/'), it assumes it's being used on Windows. If, on the
+ --    other hand, it finds a '/' first, it assumes Unix. If it finds neither,
+ --    it uses @GNAT.Os_Lib.Directory_Separator@ as its directory separator.
-- 
2.8.1

